-- 基础信息
base_info = {
	group_id = 242003007
}

-- Trigger变量
defs = {
	group_id = 242003007,
	challange_group_id = 242003010,
	monster_points = 1,
	max_points = 100,
	gear_list = {70350107,70350099,70350100,70350101,70350102,70350103},
	option_list = {41,42,43,44,45},
	option_points = {20,20,20,20,20},
	fundation_id = 70350145
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 7001, gadget_id = 70350145, pos = { x = 126.087, y = 3.145, z = -43.796 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7002, gadget_id = 70350145, pos = { x = 122.334, y = 3.216, z = -47.190 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7003, gadget_id = 70350145, pos = { x = 118.743, y = 3.239, z = -43.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7004, gadget_id = 70350145, pos = { x = 122.181, y = 3.234, z = -39.044 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7005, gadget_id = 70350145, pos = { x = 115.174, y = 3.220, z = -39.044 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7006, gadget_id = 70350145, pos = { x = 115.174, y = 3.221, z = -47.138 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7007, gadget_id = 70350145, pos = { x = 125.988, y = 3.137, z = -57.790 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7008, gadget_id = 70350145, pos = { x = 121.885, y = 3.231, z = -53.898 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7009, gadget_id = 70350145, pos = { x = 118.447, y = 3.244, z = -57.891 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7010, gadget_id = 70350145, pos = { x = 122.038, y = 3.218, z = -62.044 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7011, gadget_id = 70350145, pos = { x = 126.087, y = 3.136, z = -50.233 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7012, gadget_id = 70350145, pos = { x = 114.877, y = 3.235, z = -53.898 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7013, gadget_id = 70350145, pos = { x = 114.877, y = 3.223, z = -61.992 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7014, gadget_id = 70350145, pos = { x = 91.167, y = 3.334, z = -33.268 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7015, gadget_id = 70350145, pos = { x = 91.167, y = 3.337, z = -25.173 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7016, gadget_id = 70350145, pos = { x = 98.175, y = 3.337, z = -25.173 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7017, gadget_id = 70350145, pos = { x = 94.737, y = 3.334, z = -29.166 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7018, gadget_id = 70350145, pos = { x = 98.328, y = 3.338, z = -33.319 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7019, gadget_id = 70350145, pos = { x = 90.749, y = 3.334, z = -77.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7020, gadget_id = 70350145, pos = { x = 90.749, y = 3.335, z = -69.016 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7021, gadget_id = 70350145, pos = { x = 97.757, y = 3.335, z = -69.016 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7022, gadget_id = 70350145, pos = { x = 94.319, y = 3.334, z = -73.008 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7023, gadget_id = 70350145, pos = { x = 97.910, y = 3.334, z = -77.161 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7024, gadget_id = 70350145, pos = { x = 69.016, y = 6.474, z = -77.193 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7025, gadget_id = 70350145, pos = { x = 69.016, y = 6.474, z = -69.099 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7026, gadget_id = 70350145, pos = { x = 76.023, y = 6.474, z = -69.099 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7027, gadget_id = 70350145, pos = { x = 72.586, y = 6.474, z = -73.092 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7028, gadget_id = 70350145, pos = { x = 76.176, y = 6.474, z = -77.245 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7029, gadget_id = 70350145, pos = { x = 69.630, y = 6.460, z = -33.044 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7030, gadget_id = 70350145, pos = { x = 69.630, y = 6.492, z = -24.950 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7031, gadget_id = 70350145, pos = { x = 76.638, y = 6.495, z = -24.950 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7032, gadget_id = 70350145, pos = { x = 73.200, y = 6.494, z = -28.943 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7033, gadget_id = 70350145, pos = { x = 76.791, y = 6.494, z = -33.095 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7034, gadget_id = 70350145, pos = { x = 68.554, y = -0.622, z = -55.173 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7035, gadget_id = 70350145, pos = { x = 68.554, y = -0.617, z = -47.078 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7036, gadget_id = 70350145, pos = { x = 75.561, y = -0.616, z = -47.079 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7037, gadget_id = 70350145, pos = { x = 72.124, y = -0.620, z = -51.071 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7038, gadget_id = 70350145, pos = { x = 75.714, y = -0.611, z = -55.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7039, gadget_id = 70350145, pos = { x = 111.102, y = 3.247, z = -43.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7040, gadget_id = 70350145, pos = { x = 107.532, y = 3.247, z = -47.138 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7041, gadget_id = 70350145, pos = { x = 107.532, y = 3.196, z = -39.044 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7042, gadget_id = 70350145, pos = { x = 111.102, y = 3.219, z = -57.814 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7043, gadget_id = 70350145, pos = { x = 107.532, y = 3.232, z = -61.916 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7044, gadget_id = 70350145, pos = { x = 107.532, y = 3.191, z = -53.822 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7045, gadget_id = 70350145, pos = { x = 302.957, y = -4.822, z = -77.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7046, gadget_id = 70350145, pos = { x = 309.284, y = -4.825, z = -77.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 7047, gadget_id = 70350145, pos = { x = 315.244, y = -4.877, z = -77.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 7048, pos = { x = 126.087, y = 3.145, z = -43.796 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7049, pos = { x = 122.334, y = 3.216, z = -47.190 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7050, pos = { x = 118.743, y = 3.239, z = -43.037 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7051, pos = { x = 122.181, y = 3.234, z = -39.044 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7052, pos = { x = 115.174, y = 3.220, z = -39.044 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7053, pos = { x = 115.174, y = 3.221, z = -47.138 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7054, pos = { x = 125.988, y = 3.137, z = -57.790 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7055, pos = { x = 121.885, y = 3.231, z = -53.898 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7056, pos = { x = 118.447, y = 3.244, z = -57.891 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7057, pos = { x = 122.038, y = 3.218, z = -62.044 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7058, pos = { x = 126.087, y = 3.136, z = -50.233 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7059, pos = { x = 114.877, y = 3.235, z = -53.898 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7060, pos = { x = 114.877, y = 3.223, z = -61.992 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7061, pos = { x = 91.167, y = 3.334, z = -33.268 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 7062, pos = { x = 91.167, y = 3.337, z = -25.173 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 7063, pos = { x = 98.175, y = 3.337, z = -25.173 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 7064, pos = { x = 94.737, y = 3.334, z = -29.166 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 7065, pos = { x = 98.328, y = 3.338, z = -33.319 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 7066, pos = { x = 90.749, y = 3.334, z = -77.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 7067, pos = { x = 90.749, y = 3.335, z = -69.016 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 7068, pos = { x = 97.757, y = 3.335, z = -69.016 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 7069, pos = { x = 94.319, y = 3.334, z = -73.008 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 7070, pos = { x = 97.910, y = 3.334, z = -77.161 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 7071, pos = { x = 69.016, y = 6.474, z = -77.193 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7072, pos = { x = 69.016, y = 6.474, z = -69.099 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7073, pos = { x = 76.023, y = 6.474, z = -69.099 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7074, pos = { x = 72.586, y = 6.474, z = -73.092 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7075, pos = { x = 76.176, y = 6.474, z = -77.245 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7076, pos = { x = 69.630, y = 6.460, z = -33.044 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7077, pos = { x = 69.630, y = 6.492, z = -24.950 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7078, pos = { x = 76.638, y = 6.495, z = -24.950 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7079, pos = { x = 73.200, y = 6.494, z = -28.943 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7080, pos = { x = 76.791, y = 6.494, z = -33.095 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7081, pos = { x = 68.554, y = -0.622, z = -55.173 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 7082, pos = { x = 68.554, y = -0.617, z = -47.078 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 7083, pos = { x = 75.561, y = -0.616, z = -47.079 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 7084, pos = { x = 72.124, y = -0.620, z = -51.071 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 7085, pos = { x = 75.714, y = -0.611, z = -55.224 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 7086, pos = { x = 111.102, y = 3.247, z = -43.037 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7087, pos = { x = 107.532, y = 3.247, z = -47.138 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7088, pos = { x = 107.532, y = 3.196, z = -39.044 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7089, pos = { x = 111.102, y = 3.219, z = -57.814 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7090, pos = { x = 107.532, y = 3.232, z = -61.916 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7091, pos = { x = 107.532, y = 3.191, z = -53.822 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7092, pos = { x = 302.957, y = -4.822, z = -77.037 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7093, pos = { x = 309.284, y = -4.825, z = -77.037 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 7094, pos = { x = 315.244, y = -4.877, z = -77.037 }, rot = { x = 0.000, y = 90.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Gear"
